> For the complete documentation index, see [llms.txt](https://docs.bqckup.com/bqckup-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bqckup.com/bqckup-documentation/storages/add-storage.md).

# Add Storage

{% hint style="info" %}
Currently, it's only supports S3 Object Storage.
{% endhint %}

To add a new storage, you simply need to edit the file `/etc/backup/config/storages.yml`.

the `storages.yml` should be look like this

```yaml
storages:
  # mystorage is the name you can replace it whatever you want
  mystorage:
    bucket: mystoragebucket
    access_key_id: mystorageaccesskey
    secret_access_key: mystoragesecretkey
    region: mystorageregion
    endpoint: https://mystorage.endpoint
    primary: yes
  # mystorage2 is the name you can replace it whatever you want
  mystorage2: 
    bucket: mystorage2bucket
    access_key_id: mystorage2access
    secret_access_key: mystorage2secretkey
    region: mystorage2region
    endpoint: https://mystorage2.endpoint
    primary: no
  # if you had another storage you can put it in here, and so on
  mystorage3:
      ...
# This file is created with bqckup.com. Tool for create seamless bqckup for your website
```

If you have three storage options, you can add them to the configuration file

{% @mailchimp/mailchimpSubscribe %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bqckup.com/bqckup-documentation/storages/add-storage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
